Skip to main content

Delete split transactions by account

This endpoint deletes all split transactions linked to a parent transaction, but it leaves the parent transaction active. This request will also update the parent transaction's has_been_split field to false. This endpoint accepts the optional MX-Skip-Webhook header.

DELETE
/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}/split

Path Parameters

FieldRequiredType

transaction_guid

The unique id for a transaction.

Required
String

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

member_identifier

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

account_identifier

Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

transaction_identifier

Use either the transaction id you defined or the MX-defined transaction guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...